<template>
  <div class="account-voyage-unload">
    <div v-if="Object.keys(isFree).length">
      <div>{{isFree.hours}}</div>
      <div class="account-voyage-unload--minutes">{{isFree.minutes}}</div>
    </div>
    <div v-else class="account-voyage-unload--free">Свободен</div>
  </div>
</template>

<script>
  import moment from 'moment';
  
  export default {
    name: "unloading-time",
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      isFree() {
        const now = moment().unix();
        const overTime = moment(this.item.pvpDate).unix();
        if (now > overTime) {
          return {}
        } else {
          return {
            hours: moment.unix(overTime).format("DD.MM.YYYY"),
            minutes: moment.unix(overTime).format("HH:mm")
          }
        }
      }
    }
  }
</script>

<style lang="scss" scoped>
  .account-voyage-unload {
    letter-spacing: 0.2px;
    &--free {
      color: $green-craiola;
    }
    &--minutes {
      color: $orderRisksSettingsPage-risk_level_actions_toggle_background-color;
    }
  }
</style>